# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: DatatransUPP
    class: XC\DatatransUPP\Model\Payment\Processor\DatatransUPP
    type: C
    countries: [AT, CH, DE, US]
    translations: [{code: en, name: 'Datatrans (Universal payment page)'}, {code: es, name: 'Datatrans (Página de pago universal)'}]
    settings: [{name: merchant_id}, {name: hmac}, {name: type, value: sale}, {name: prefix, value: xc}, {name: mode, value: test}]
XLite\Model\LanguageLabel:
  - name: 'Merchant ID'
    translations: [{code: en, label: 'Merchant ID'}]
  - name: 'HMAC key'
    translations: [{code: en, label: 'HMAC key'}]
  - name: 'Order prefix'
    translations: [{code: en, label: 'Order prefix'}]
  - name: 'To set up the integration you should follow '
    translations: [{code: en, label: 'To set up the integration, go to the '}]
  - name: '"Site management"'
    translations: [{code: en, label: '"Site management"'}]
  - name: ' page and make sure that:'
    translations: [{code: en, label: ' page on the 2Checkout site and make sure of the following:'}]
  - name: 'The "Pricing currency" value must be exactly the same as on it.'
    translations: [{code: en, label: 'The "Pricing currency" value here in X-Cart must be exactly the same as on 2Checkout''s Site management page.'}]
  - name: 'HMAC key note'
    translations: [{code: en, label: 'This settings can be found in the "Datatrans Web Administration Tool" -> "UPP Administration" -> "Security signature" page.'}]
  - name: 'URL Post note'
    translations: [{code: en, label: '"URL Post" is used to return callback data after payment. This settings can be found in the "Datatrans Web Administration Tool" -> "UPP Administration" panel tab.'}]
